gi-glib-2.0.30: GLib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.GLib.Structs.DebugKey

Contents

- Exported types
- Methods
- Properties
  - key
  - value

Description

Associates a string with a bit flag. Used in `parseDebugString`.

Synopsis

- newtype DebugKey = DebugKey (ManagedPtr DebugKey)
- newZeroDebugKey :: MonadIO m => m DebugKey
- clearDebugKeyKey :: MonadIO m => DebugKey -> m ()
- getDebugKeyKey :: MonadIO m => DebugKey -> m (Maybe Text)
- setDebugKeyKey :: MonadIO m => DebugKey -> CString -> m ()
- getDebugKeyValue :: MonadIO m => DebugKey -> m Word32
- setDebugKeyValue :: MonadIO m => DebugKey -> Word32 -> m ()

# Exported types

newtype DebugKey Source #

Memory-managed wrapper type.

Constructors

DebugKey (ManagedPtr DebugKey) |

#### Instances

Instances details

Eq DebugKey Source # |
Instance details Defined in GI.GLib.Structs.DebugKey Methods (==) :: DebugKey -> DebugKey -> Bool Source # (/=) :: DebugKey -> DebugKey -> Bool Source #
BoxedPtr DebugKey Source # |
Instance details Defined in GI.GLib.Structs.DebugKey Methods boxedPtrCopy :: DebugKey -> IO DebugKey Source # boxedPtrFree :: DebugKey -> IO () Source #
CallocPtr DebugKey Source # |
Instance details Defined in GI.GLib.Structs.DebugKey Methods boxedPtrCalloc :: IO (Ptr DebugKey) Source #
ManagedPtrNewtype DebugKey Source # |
Instance details Defined in GI.GLib.Structs.DebugKey Methods toManagedPtr :: DebugKey -> ManagedPtr DebugKey Source #
tag ~ 'AttrSet => Constructible DebugKey tag Source # |
Instance details Defined in GI.GLib.Structs.DebugKey Methods new :: MonadIO m => (ManagedPtr DebugKey -> DebugKey) -> [AttrOp DebugKey tag] -> m DebugKey Source #

newZeroDebugKey :: MonadIO m => m DebugKey Source #

Construct a `DebugKey` struct initialized to zero.

# Methods

# Properties

## key

the string

clearDebugKeyKey :: MonadIO m => DebugKey -> m () Source #

Set the value of the “`key`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #key

getDebugKeyKey :: MonadIO m => DebugKey -> m (Maybe Text) Source #

Get the value of the “`key`” field. When overloading is enabled, this is equivalent to

    get debugKey #key

setDebugKeyKey :: MonadIO m => DebugKey -> CString -> m () Source #

Set the value of the “`key`” field. When overloading is enabled, this is equivalent to

    set debugKey [ #key := value ]

## value

the flag

getDebugKeyValue :: MonadIO m => DebugKey -> m Word32 Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get debugKey #value

setDebugKeyValue :: MonadIO m => DebugKey -> Word32 -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set debugKey [ #value := value ]